package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiBanner;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * banner管理Service接口
 * 
 * @author shi
 * @date 2025-11-13
 */
public interface IAiBannerService {

    /**
     * 查询banner管理
     * 
     * @param id banner管理主键
     * @return banner管理
     */
    AiBanner selectAiBannerById(Long id);

    /**
     * 查询banner管理列表
     * 
     * @param aiBanner banner管理
     * @return banner管理集合
     */
    List<AiBanner> selectAiBannerList(AiBanner aiBanner);

    /**
     * 分页查询banner管理列表
     *
     * @param aiBanner banner管理
     * @return banner管理集合
     */
    IPage<AiBanner> selectAiBannerPage(Page page, AiBanner aiBanner);

    /**
     * 新增banner管理
     * 
     * @param aiBanner banner管理
     * @return 结果
     */
    int insertAiBanner(AiBanner aiBanner);

    /**
     * 修改banner管理
     * 
     * @param aiBanner banner管理
     * @return 结果
     */
    int updateAiBanner(AiBanner aiBanner);

    /**
     * 批量删除banner管理
     * 
     * @param ids 需要删除的banner管理主键集合
     * @return 结果
     */
    int deleteAiBannerByIds(Long[] ids);

    /**
     * 删除banner管理信息
     * 
     * @param id banner管理主键
     * @return 结果
     */
    int deleteAiBannerById(Long id);
}
